Last Comment Bug 311071 - treat <! as the start of a comment to end of line, unless e4x=1 (was: page keeps reloading)
: treat <! as the start of a comment to end of line, unless e4x=1 (was: page ke...
Status: RESOLVED FIXED
: fixed1.8, regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: P1 blocker with 1 vote (vote)
: mozilla1.8beta5
Assigned To: Brendan Eich [:brendan]
:
: Jason Orendorff [:jorendorff]
Mentors:
http://www.avm.de/
Depends on: 310993 311950 375406
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 09:19 PDT by Peter van der Woude [:Peter6]
Modified: 2009-03-08 23:40 PDT (History)
14 users (show)
brendan: blocking1.8b5+
bob: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
treat <! as the start of a comment to end of line, unless e4x=1 (5.64 KB, patch)
2005-10-04 11:13 PDT, Brendan Eich [:brendan]
mrbkap: review+
shaver: superreview+
dbaron: approval1.8b5+
Details | Diff | Splinter Review

Description Peter van der Woude [:Peter6] 2005-10-04 09:19:55 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8b5) Gecko/20051004
Firefox/1.4.1 ID:2005100402

after patch Bug 310993 landed the url above keeps reloading

works in 20051003 2217pdt build
fails in 20051004 0252pdt build
Comment 1 Peter van der Woude [:Peter6] 2005-10-04 09:27:10 PDT
same regressionrange
http://maps.google.com/ doesn't work anymore
Comment 2 bugzilla 2005-10-04 10:09:21 PDT
https://riteaid.rebateplus.com/RebateListPage.asp?categories=20
check box next to, let's say razor and click add to list - doesn't work anymore
Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8b5) Gecko/20051004
Firefox/1.4.1 ID:2005100405

worked fine on 20051003
Comment 3 Blake Kaplan (:mrbkap) 2005-10-04 11:08:12 PDT
comment 2 is a different bug, caused by bug 310351. I'll open a new bug to fix it.
Comment 4 Brendan Eich [:brendan] 2005-10-04 11:09:45 PDT
Hrm, maps.google.com works for me still with an updated js/src and an older tree
(I am testing js changes in isolation from other recent Gecko, etc., changes). 
Peter, what doesn't work for you?  The maps.google.com problem should be filed
separately.

The riteaid URL and reproduce-by steps in comment 2 work for me, so I suspect
that's a separate issue too.

Patch in a minute for the problem affecting this bug's URL.

/be
Comment 5 Brendan Eich [:brendan] 2005-10-04 11:13:24 PDT
Created attachment 198475 [details] [diff] [review]
treat <! as the start of a comment to end of line, unless e4x=1

I feel like Bart Simpson, writing "I will respect backward compatibility
authority" 100 times on the blackboard.

/be
Comment 6 Peter van der Woude [:Peter6] 2005-10-04 11:17:20 PDT
(In reply to comment #4)
> Hrm, maps.google.com works for me still with an updated js/src and an older tree
> (I am testing js changes in isolation from other recent Gecko, etc., changes). 
> Peter, what doesn't work for you?  The maps.google.com problem should be filed
> separately.

> /be

It just gives a gray empty screen where the map should be (confirmed by many)
Comment 7 Brendan Eich [:brendan] 2005-10-04 11:24:07 PDT
(In reply to comment #6)
> It just gives a gray empty screen where the map should be (confirmed by many)

I believe you, and I said so -- it's just not due to the patch that regressed
this bug's URL, which was the patch for bug 310993.  I can prove that by backing
out that patch and fixing this bug, in my tree with an older Gecko but up to
date JS engine source.  In my tree, maps.google.com works fine with or without
the patch for bug 310993.  So the maps.google.com regression is due to a non-JS
change.

This bug is fixed by the attached patch.

/be
Comment 8 Blake Kaplan (:mrbkap) 2005-10-04 11:27:14 PDT
Comment on attachment 198475 [details] [diff] [review]
treat <! as the start of a comment to end of line, unless e4x=1

I still want my t-shirt. r=mrbkap
Comment 9 Peter van der Woude [:Peter6] 2005-10-04 11:29:13 PDT
I filed Bug 311094 for maps.google.com
Comment 10 Scott MacGregor 2005-10-04 12:12:31 PDT
Comment on attachment 198475 [details] [diff] [review]
treat <! as the start of a comment to end of line, unless e4x=1

mike can you give us an extra level of review here since we may spin the
release for this. Extra eyes is always good.
Comment 11 Mike Shaver (:shaver -- probably not reading bugmail closely) 2005-10-04 12:36:59 PDT
Comment on attachment 198475 [details] [diff] [review]
treat <! as the start of a comment to end of line, unless e4x=1

sr=shaver
Comment 12 David Baron :dbaron: ⌚️UTC-10 2005-10-04 13:16:08 PDT
Comment on attachment 198475 [details] [diff] [review]
treat <! as the start of a comment to end of line, unless e4x=1

approving based on mscott's email that said this was blocking the respin
Comment 13 Brendan Eich [:brendan] 2005-10-04 13:26:53 PDT
Fixed on branch and trunk.

/be
Comment 14 Peter van der Woude [:Peter6] 2005-10-04 16:15:41 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8b5) Gecko/20051004
Firefox/1.4.1 ID:2005100415

Verified on win
Comment 15 blitzreiter 2005-10-04 17:43:56 PDT
Please check also wto.int menu
Comment 16 Brendan Eich [:brendan] 2005-10-04 18:08:52 PDT
(In reply to comment #15)
> Please check also wto.int menu

Eh?

/be
Comment 17 Jesse Ruderman 2005-10-05 12:02:46 PDT
I assume comment 15 has something to do with http://www.wto.int/.
Comment 18 Bob Clary [:bc:] 2005-10-09 20:01:03 PDT
Checking in regress-311071.js;
/cvsroot/mozilla/js/tests/js1_5/Regress/regress-311071.js,v  <--  regress-311071.js
initial revision: 1.1
done
Comment 19 Boris Zbarsky [:bz] (still a bit busy) 2005-10-11 07:37:14 PDT
This causes JS_ASSERT failures and ensuing crashes -- see bug 311950.

Note You need to log in before you can comment on or make changes to this bug.